Index: lib/style/common/common-settings.jsp
===================================================================
--- lib/style/common/common-settings.jsp	(revision 4079)
+++ lib/style/common/common-settings.jsp	(revision 4080)
@@ -1,88 +1,82 @@
-<%@ page errorPage="jsperrorpage.html" %>
-<%@page import="edu.ucsb.nceas.metacat.MetaCatUtil"%>
+<%@ page errorPage="jsperrorpage.html"%>
+<%@page import="edu.ucsb.nceas.metacat.service.PropertyService,edu.ucsb.nceas.metacat.util.SystemUtil"%>
 <%
- /**
-  *   '$RCSfile$'
-  *   Copyright: 2006 Regents of the University of California and the
-  *              National Center for Ecological Analysis and Synthesis
-  *
-  *    '$Author$'
-  *      '$Date$'
-  *  '$Revision$'
-  *
-  * This program is free software; you can redistribute it and/or modify
-  * it under the terms of the GNU General Public License as published by
-  * the Free Software Foundation; either version 2 of the License, or
-  * (at your option) any later version.
-  *
-  * This program is distributed in the hope that it will be useful,
-  * but WITHOUT ANY WARRANTY; without even the implied warranty of
-  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-  * GNU General Public License for more details.
-  *
-  * You should have received a copy of the GNU General Public License
-  * along with this program; if not, write to the Free Software
-  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-  */
+	 /**
+	 *   '$RCSfile$'
+	 *   Copyright: 2006 Regents of the University of California and the
+	 *              National Center for Ecological Analysis and Synthesis
+	 *
+	 *    '$Author$'
+	 *      '$Date$'
+	 *  '$Revision$'
+	 *
+	 * This program is free software; you can redistribute it and/or modify
+	 * it under the terms of the GNU General Public License as published by
+	 * the Free Software Foundation; either version 2 of the License, or
+	 * (at your option) any later version.
+	 *
+	 * This program is distributed in the hope that it will be useful,
+	 * but WITHOUT ANY WARRANTY; without even the implied warranty of
+	 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+	 * GNU General Public License for more details.
+	 *
+	 * You should have received a copy of the GNU General Public License
+	 * along with this program; if not, write to the Free Software
+	 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+	 */
 %>
 
-<% 
+<%
+	// GLOBAL CONSTANTS FOR ALL METACAT SKINS
+	// These can be overridden by individual javascripts in each skin
+	String COMMON_SEARCH_METACAT_POST_FIELDS = "<input type=\"hidden\" name=\"action\"        value=\"query\"\\>\n"
+			+ "<input type=\"hidden\" name=\"returnfield\"   value=\"originator/individualName/surName\"\\>\n"
+			+ "<input type=\"hidden\" name=\"returnfield\"   value=\"originator/individualName/givenName\"\\>\n"
+			+ "<input type=\"hidden\" name=\"returnfield\"   value=\"originator/organizationName\"\\>\n"
+			+ "<input type=\"hidden\" name=\"returnfield\"   value=\"creator/individualName/surName\"\\>\n"
+			+ "<input type=\"hidden\" name=\"returnfield\"   value=\"creator/organizationName\"\\>\n"
+			+ "<input type=\"hidden\" name=\"returnfield\"   value=\"dataset/title\"\\>\n"
+			+ "<input type=\"hidden\" name=\"returnfield\"   value=\"keyword\"\\>\n"
+			+ "<input name=\"returnfield\" value=\"creator/individualName/givenName\" type=\"hidden\">\n"
+			+ "<input name=\"returnfield\" value=\"idinfo/citation/citeinfo/title\" type=\"hidden\">\n"
+			+ "<input name=\"returnfield\" value=\"idinfo/citation/citeinfo/origin\" type=\"hidden\">\n"
+			+ "<input name=\"returnfield\" value=\"idinfo/keywords/theme/themekey\" type=\"hidden\">\n"
+			+ "<input name=\"returndoctype\" value=\"metadata\" type=\"hidden\">\n"
+			+ "<input type=\"hidden\" name=\"returndoctype\" value=\"-//ecoinformatics.org//eml-dataset-2.0.0beta6//EN\"\\>\n"
+			+ "<input type=\"hidden\" name=\"returndoctype\" value=\"-//ecoinformatics.org//eml-dataset-2.0.0beta4//EN\"\\>\n"
+			+ "<input type=\"hidden\" name=\"returndoctype\" value=\"eml://ecoinformatics.org/eml-2.0.1\"\\>\n"
+			+ "<input type=\"hidden\" name=\"returndoctype\" value=\"eml://ecoinformatics.org/eml-2.0.0\"\\>\n"
+			+ "<input type=\"hidden\" name=\"returndoctype\" value=\"-//NCEAS//eml-dataset-2.0//EN\"\\>\n"
+			+ "<input type=\"hidden\" name=\"returndoctype\" value=\"-//NCEAS//resource//EN\"\\>\n";
 
-// GLOBAL CONSTANTS FOR ALL METACAT SKINS
-// These can be overridden by individual javascripts in each skin
+	String SIMPLE_SEARCH_METACAT_POST_FIELDS = "<input type=\"hidden\" name=\"operator\"      value=\"UNION\"\\>\n"
+			+ COMMON_SEARCH_METACAT_POST_FIELDS;
 
-String COMMON_SEARCH_METACAT_POST_FIELDS   =
-    "<input type=\"hidden\" name=\"action\"        value=\"query\"\\>\n"
-    +"<input type=\"hidden\" name=\"returnfield\"   value=\"originator/individualName/surName\"\\>\n"
-    +"<input type=\"hidden\" name=\"returnfield\"   value=\"originator/individualName/givenName\"\\>\n"
-    +"<input type=\"hidden\" name=\"returnfield\"   value=\"originator/organizationName\"\\>\n"
-    +"<input type=\"hidden\" name=\"returnfield\"   value=\"creator/individualName/surName\"\\>\n"
-    +"<input type=\"hidden\" name=\"returnfield\"   value=\"creator/organizationName\"\\>\n"
-    +"<input type=\"hidden\" name=\"returnfield\"   value=\"dataset/title\"\\>\n"
-    +"<input type=\"hidden\" name=\"returnfield\"   value=\"keyword\"\\>\n"
-    +"<input name=\"returnfield\" value=\"creator/individualName/givenName\" type=\"hidden\">\n"
-    +"<input name=\"returnfield\" value=\"idinfo/citation/citeinfo/title\" type=\"hidden\">\n"
-    +"<input name=\"returnfield\" value=\"idinfo/citation/citeinfo/origin\" type=\"hidden\">\n"
-    +"<input name=\"returnfield\" value=\"idinfo/keywords/theme/themekey\" type=\"hidden\">\n"
-    +"<input name=\"returndoctype\" value=\"metadata\" type=\"hidden\">\n"
-    +"<input type=\"hidden\" name=\"returndoctype\" value=\"-//ecoinformatics.org//eml-dataset-2.0.0beta6//EN\"\\>\n"
-    +"<input type=\"hidden\" name=\"returndoctype\" value=\"-//ecoinformatics.org//eml-dataset-2.0.0beta4//EN\"\\>\n"
-    +"<input type=\"hidden\" name=\"returndoctype\" value=\"eml://ecoinformatics.org/eml-2.0.1\"\\>\n"
-    +"<input type=\"hidden\" name=\"returndoctype\" value=\"eml://ecoinformatics.org/eml-2.0.0\"\\>\n"
-    +"<input type=\"hidden\" name=\"returndoctype\" value=\"-//NCEAS//eml-dataset-2.0//EN\"\\>\n"
-    +"<input type=\"hidden\" name=\"returndoctype\" value=\"-//NCEAS//resource//EN\"\\>\n";
-    
-    
+	String ADVANCED_SEARCH_METACAT_POST_FIELDS = "<input type=\"hidden\" name=\"operator\"      value=\"INTERSECT\"\\>\n"
+			+ COMMON_SEARCH_METACAT_POST_FIELDS;
 
-String SIMPLE_SEARCH_METACAT_POST_FIELDS   =
-    "<input type=\"hidden\" name=\"operator\"      value=\"UNION\"\\>\n"
-    +COMMON_SEARCH_METACAT_POST_FIELDS;
+	// if true, POST variables echoed at bottom of client's browser window in a big yellow box
+	boolean DEBUG_TO_BROWSER = false;
 
-String ADVANCED_SEARCH_METACAT_POST_FIELDS   =
-    "<input type=\"hidden\" name=\"operator\"      value=\"INTERSECT\"\\>\n"
-    +COMMON_SEARCH_METACAT_POST_FIELDS;
+	// label for logout form button when user *is* logged in:
+	String LOGOUT_LABEL = "Logout";
 
-// if true, POST variables echoed at bottom of client's browser window in a big yellow box
-boolean     DEBUG_TO_BROWSER      = false;    
+	// label for login form button when user is *not* logged in:
+	String LOGIN_LABEL = "Login";
 
-// label for logout form button when user *is* logged in:
-String      LOGOUT_LABEL          = "Logout";
+	// last part of LDAP username to be appended after organization
+	String LDAP_DOMAIN = ",dc=ecoinformatics,dc=org";
 
-// label for login form button when user is *not* logged in:
-String      LOGIN_LABEL           = "Login";
+	String KNB_SITE_URL = PropertyService.getProperty("application.knbSiteURL");
+	String CONTEXT_NAME = PropertyService.getProperty("application.context");
+	String DEFAULT_STYLE = PropertyService.getProperty("application.default-style");
+	String SERVER_URL = SystemUtil.getServerURL();
+	String CGI_URL = SystemUtil.getCGI_URL();
+	String CONTEXT_URL = SystemUtil.getContextURL();
+	String SERVLET_URL = SystemUtil.getServletURL();
+	String STYLE_SKINS_URL = SystemUtil.getStyleSkinsURL();
+	String STYLE_COMMON_URL = SystemUtil.getStyleCommonURL();
+	String DEFAULT_STYLE_URL = SystemUtil.getDefaultStyleURL();
 
-// last part of LDAP username to be appended after organization
-String      LDAP_DOMAIN           = ",dc=ecoinformatics,dc=org";
-
-String      KNB_SITE_URL            = MetaCatUtil.getOption("knbSiteURL");
-String      SERVER_URL              = MetaCatUtil.getOption("httpserver");
-String      CONTEXT_NAME            = MetaCatUtil.getOption("context"); 
-String      DEFAULT_STYLE           = MetaCatUtil.getOption("default-style");
-String      CGI_URL                 = SERVER_URL + "/cgi-bin";
-String      SERVER_URL_WITH_CONTEXT = SERVER_URL + "/" + CONTEXT_NAME;
-String      SERVLET_URL             = SERVER_URL_WITH_CONTEXT + "/metacat";
-String      STYLE_SKINS_URL         = SERVER_URL_WITH_CONTEXT + "/style/skins";
-String      STYLE_COMMON_URL        = SERVER_URL_WITH_CONTEXT + "/style/common";
-String      DEFAULT_STYLE_URL       = SERVER_URL_WITH_CONTEXT + "/style/skins/" + DEFAULT_STYLE;
 %>
 
Index: src/loaddtdschema.sql
===================================================================
--- src/loaddtdschema.sql	(revision 4079)
+++ src/loaddtdschema.sql	(revision 4080)
@@ -6,42 +6,45 @@
         AND system_id LIKE '%eml%';
 INSERT INTO xml_catalog (entry_type, public_id, system_id)
   VALUES ('DTD', '-//ecoinformatics.org//eml-access-@eml-version@//EN',
-         '@systemidserver@@html-path@/dtd/eml-access-@eml-version@.dtd');
+         '/dtd/eml-access-@eml-version@.dtd');
 INSERT INTO xml_catalog (entry_type, public_id, system_id)
   VALUES ('DTD', '-//ecoinformatics.org//eml-attribute-@eml-version@//EN',
-          '@systemidserver@@html-path@/dtd/eml-attribute-@eml-version@.dtd');
+          '/dtd/eml-attribute-@eml-version@.dtd');
 INSERT INTO xml_catalog (entry_type, public_id, system_id)
   VALUES ('DTD', '-//ecoinformatics.org//eml-constraint-@eml-version@//EN',
-          '@systemidserver@@html-path@/dtd/eml-constraint-@eml-version@.dtd');
+          '/dtd/eml-constraint-@eml-version@.dtd');
 INSERT INTO xml_catalog (entry_type, public_id, system_id)
   VALUES ('DTD', '-//ecoinformatics.org//eml-coverage-@eml-version@//EN',
-          '@systemidserver@@html-path@/dtd/eml-coverage-@eml-version@.dtd');
+          '/dtd/eml-coverage-@eml-version@.dtd');
 INSERT INTO xml_catalog (entry_type, public_id, system_id)
   VALUES ('DTD', '-//ecoinformatics.org//eml-dataset-@eml-version@//EN',
-          '@systemidserver@@html-path@/dtd/eml-dataset-@eml-version@.dtd');
+          '/dtd/eml-dataset-@eml-version@.dtd');
 INSERT INTO xml_catalog (entry_type, public_id, system_id)
   VALUES ('DTD', '-//ecoinformatics.org//eml-entity-@eml-version@//EN',
-          '@systemidserver@@html-path@/dtd/eml-entity-@eml-version@.dtd');
+          '/dtd/eml-entity-@eml-version@.dtd');
 INSERT INTO xml_catalog (entry_type, public_id, system_id)
   VALUES ('DTD', '-//ecoinformatics.org//eml-literature-@eml-version@//EN',
-          '@systemidserver@@html-path@/dtd/eml-literature-@eml-version@.dtd');
+          '/dtd/eml-literature-@eml-version@.dtd');
 INSERT INTO xml_catalog (entry_type, public_id, system_id)
   VALUES ('DTD', '-//ecoinformatics.org//eml-physical-@eml-version@//EN',
-          '@systemidserver@@html-path@/dtd/eml-physical-@eml-version@.dtd');
+          '/dtd/eml-physical-@eml-version@.dtd');
 INSERT INTO xml_catalog (entry_type, public_id, system_id)
   VALUES ('DTD', '-//ecoinformatics.org//eml-project-@eml-version@//EN',
-          '@systemidserver@@html-path@/dtd/eml-project-@eml-version@.dtd');
+          '/dtd/eml-project-@eml-version@.dtd');
 INSERT INTO xml_catalog (entry_type, public_id, system_id)
   VALUES ('DTD', '-//ecoinformatics.org//eml-protocol-@eml-version@//EN',
-          '@systemidserver@@html-path@/dtd/eml-protocol-@eml-version@.dtd');
+          '/dtd/eml-protocol-@eml-version@.dtd');
 INSERT INTO xml_catalog (entry_type, public_id, system_id)
   VALUES ('DTD', '-//ecoinformatics.org//eml-software-@eml-version@//EN',
-          '@systemidserver@@html-path@/dtd/eml-software-@eml-version@.dtd');
+          '/dtd/eml-software-@eml-version@.dtd');
 INSERT INTO xml_catalog (entry_type, public_id, system_id)
-  VALUES ('Schema', '@eml2_0_1namespace@', '@systemidserver@@html-path@/schema/eml-2.0.1/eml.xsd');
+  VALUES ('Schema', '@eml2_0_1namespace@', '/schema/eml-2.0.1/eml.xsd');
 INSERT INTO xml_catalog (entry_type, public_id, system_id)
-  VALUES ('Schema', '@eml2_0_0namespace@', '@systemidserver@@html-path@/schema/eml-2.0.0/eml.xsd');
+  VALUES ('Schema', '@eml2_0_0namespace@', '/schema/eml-2.0.0/eml.xsd');
 INSERT INTO xml_catalog (entry_type, public_id, system_id)
-  VALUES ('Schema', '@stmmlnamespace@', '@systemidserver@@html-path@/schema/eml-2.0.1/stmml.xsd');
+  VALUES ('Schema', '@stmmlnamespace@', '/schema/eml-2.0.1/stmml.xsd');
 INSERT INTO xml_catalog (entry_type, public_id, system_id)
-  VALUES ('Schema', 'metadata', '@systemidserver@@html-path@/schema/fgdc-std-001/fgdc-std-001-1998.xsd');
+  VALUES ('Schema', 'metadata', '/schema/fgdc-std-001/fgdc-std-001-1998.xsd');
+
+INSERT INTO db_version (version, status, date_created) 
+  VALUES ('1.9.0',1,CURRENT_DATE);
Index: src/upgrade-db-to-1.9-postgres.sql
===================================================================
--- src/upgrade-db-to-1.9-postgres.sql	(nonexistent)
+++ src/upgrade-db-to-1.9-postgres.sql	(revision 4080)
@@ -0,0 +1,14 @@
+/*
+ * db_version -- table to store the version history of this database
+ */
+CREATE SEQUENCE db_version_id_seq;
+CREATE TABLE db_version (
+  db_version_id   INT8 default nextval ('db_version_id_seq'), -- the identifier for the version
+  version         VARCHAR(250),     -- the version number
+  status          INT8,             -- status of the version
+  date_created    TIMESTAMP,        -- the datetime on which the version was created
+  CONSTRAINT db_version_pk PRIMARY KEY (db_version_id)
+);
+
+INSERT INTO db_version (version, status, date_created) 
+  VALUES ('1.9.0', 1, CURRENT_DATE);

Index: src/xmltables-postgres.sql
===================================================================
--- src/xmltables-postgres.sql	(revision 4079)
+++ src/xmltables-postgres.sql	(revision 4080)
@@ -416,4 +416,14 @@
         FOREIGN KEY (harvest_log_id) REFERENCES harvest_log
 );
 
-
+/*
+ * db_version -- table to store the version history of this database
+ */
+CREATE SEQUENCE db_version_id_seq;
+CREATE TABLE db_version (
+  db_version_id   INT8 default nextval ('db_version_id_seq'), -- the identifier for the version
+  version         VARCHAR(250),     -- the version number
+  status          INT8,             -- status of the version
+  date_created    TIMESTAMP,        -- the datetime on which the version was created
+  CONSTRAINT db_version_pk PRIMARY KEY (db_version_id)
+);
